/**
 * Internal metadata. Defines the type of transaction.
 */
export declare enum TransactionType {
    Send = 0,
    SendERC721 = 1,
    SendERC1155 = 2,
    WalletInitialization = 3,
    AddressInitialization = 4,
    AssociatedTokenAccountInitialization = 5,
    FlushTokens = 6,
    FlushCoins = 7,
    SingleSigSend = 8,
    AccountUpdate = 9,
    StakingLock = 10,
    StakingVote = 11,
    StakingUnvote = 12,
    StakingActivate = 13,
    StakingUnlock = 14,
    StakingWithdraw = 15,
    ContractCall = 16,
    StakingDeactivate = 17,
    Batch = 18,
    StakingClaim = 19,
    AddDelegator = 20,
    AddValidator = 21,
    Export = 22,
    Import = 23,
    RecoveryWalletDeployment = 24,
    StakingAdd = 25,
    StakingPledge = 26,
    VoteDelegation = 27,
    StakingAuthorize = 28,
    StakingAuthorizeRaw = 29,
    StakingDelegate = 30,
    CustomTx = 31,
    StakingRedelegate = 32,
    AddPermissionlessDelegator = 33,
    AddPermissionlessValidator = 34,
    CloseAssociatedTokenAccount = 35,
    SingleNominatorWithdraw = 36,
    SendToken = 37,
    TrustLine = 38,
    SendNFT = 39,
    DelegateResource = 40,
    UnDelegateResource = 41
}
/**
 * Generic list of encoding formats. Can be used as arguments for methods inputs.
 */
export declare enum AddressFormat {
    hex = "hex",
    base58 = "base58",
    mainnet = "mainnet",
    testnet = "testnet"
}
export declare enum DotAddressFormat {
    substrate = 42,
    polkadot = 0
}
export type DotAssetTypes = 'dot' | 'tdot';
export declare enum StakingOperationTypes {
    LOCK = 0,
    VOTE = 1,
    UNVOTE = 2,
    ACTIVATE = 3,
    UNLOCK = 4,
    WITHDRAW = 5
}
//# sourceMappingURL=enum.d.ts.map