import { EcdsaTypes, HashCommitDecommit, SchnorrProof } from '@bitgo/sdk-lib-mpc';
/**
 * @deprecated use DeserializedNtildeProof from sdk-lib-mpc instead
 */
export type DeserializedNtildeProof = EcdsaTypes.DeserializedNtildeProof;
/**
 * @deprecated use DeserializedNtildeProofs from sdk-lib-mpc instead
 */
export type DeserializedNtildeProofs = EcdsaTypes.DeserializedNtildeProofs;
/**
 * @deprecated use DeserializedNtildeProofs from sdk-lib-mpc instead
 */
export type DeserializedNtilde = EcdsaTypes.DeserializedNtilde;
/**
 * @deprecated use DeserializedNtildeWithProofs from sdk-lib-mpc instead
 */
export type DeserializedNtildeWithProofs = EcdsaTypes.DeserializedNtildeWithProofs;
/**
 * @deprecated use SerializedNtildeProof from sdk-lib-mpc instead
 */
export type SerializedNtildeProof = EcdsaTypes.SerializedNtildeProof;
/**
 * @deprecated use SerializedNtildeProofs from sdk-lib-mpc instead
 */
export type SerializedNtildeProofs = EcdsaTypes.SerializedNtildeProofs;
/**
 * @deprecated use SerializedNtilde from sdk-lib-mpc instead
 */
export type SerializedNtilde = EcdsaTypes.SerializedNtilde;
/**
 * @deprecated use SerializedNtildeWithProofs from sdk-lib-mpc instead
 */
export type SerializedNtildeWithProofs = EcdsaTypes.SerializedNtildeWithProofs;
/**
 * @deprecated use XShare from sdk-lib-mpc instead
 */
export type XShare = EcdsaTypes.XShare;
export type PShare = {
    i: number;
    t?: number;
    c?: number;
    l: string;
    m: string;
    u: string;
    uu: string;
    n: string;
    y: string;
    chaincode: string;
};
export type SignIndex = {
    i: number;
    j: number;
};
export type NShare = SignIndex & {
    n: string;
    u: string;
    y: string;
    v?: string;
    chaincode: string;
};
export type KeyShare = {
    pShare: PShare;
    nShares: Record<number, NShare>;
};
export type XShareWithChallenges = EcdsaTypes.XShare & EcdsaTypes.SerializedNtilde & EcdsaTypes.SerializedPaillierChallenge;
export type YShare = SignIndex & {
    n: string;
};
export type YShareWithChallenges = YShare & EcdsaTypes.SerializedNtilde & EcdsaTypes.SerializedPaillierChallenge;
export interface KeyCombined {
    xShare: EcdsaTypes.XShare;
    yShares: Record<number, YShare>;
}
export type KeyCombinedWithNtilde = {
    xShare: XShareWithChallenges;
    yShares: Record<number, YShareWithChallenges>;
};
export type SubkeyShare = {
    xShare: EcdsaTypes.XShare;
    nShares: Record<number, NShare>;
};
export type WShare = EcdsaTypes.SerializedNtilde & EcdsaTypes.SerializedPaillierChallenge & {
    i: number;
    l: string;
    m: string;
    n: string;
    y: string;
    ck: string;
    k: string;
    w: string;
    gamma: string;
};
export type RangeProofShare = {
    z: string;
    u: string;
    w: string;
    s: string;
    s1: string;
    s2: string;
};
export type KShare = SignIndex & EcdsaTypes.SerializedNtilde & EcdsaTypes.SerializedPaillierChallenge & EcdsaTypes.SerializedPaillierChallengeProofs & {
    n: string;
    k: string;
    proof?: RangeProofShare;
};
export type SignShareRT = {
    wShare: WShare;
    kShare: KShare;
};
export type RangeProofWithCheckShare = {
    z: string;
    zprm: string;
    t: string;
    v: string;
    w: string;
    s: string;
    s1: string;
    s2: string;
    t1: string;
    t2: string;
    u: string;
    x: string;
};
export type AShare = SignIndex & EcdsaTypes.SerializedNtilde & EcdsaTypes.SerializedPaillierChallengeProofs & {
    n: string;
    k: string;
    alpha: string;
    mu: string;
    proof?: RangeProofShare;
    gammaProof?: RangeProofWithCheckShare;
    wProof?: RangeProofWithCheckShare;
};
export type BShare = WShare & {
    beta: string;
    nu: string;
};
export type MUShare = SignIndex & {
    alpha: string;
    mu: string;
    gammaProof: RangeProofWithCheckShare;
    wProof: RangeProofWithCheckShare;
};
export type GShare = {
    i: number;
    l?: string;
    m?: string;
    n: string;
    y: string;
    k: string;
    w: string;
    gamma: string;
    alpha: string;
    mu: string;
    beta: string;
    nu: string;
};
export type SignConvert = {
    xShare?: XShareWithChallenges;
    yShare?: YShare;
    kShare?: KShare;
    bShare?: BShare;
    muShare?: MUShare;
    aShare?: AShare;
    wShare?: WShare;
};
export type SignConvertStep1 = {
    xShare: XShareWithChallenges;
    yShare: YShare;
    kShare: KShare;
};
export type SignConvertStep1Response = {
    bShare: BShare;
    aShare: AShare;
};
export type SignConvertStep2 = {
    wShare: WShare;
    aShare: AShare;
};
export type SignConvertStep2Response = {
    gShare: GShare;
    muShare: MUShare;
};
export type SignConvertStep3 = {
    bShare: BShare;
    muShare: MUShare;
};
export type SignConvertStep3Response = {
    gShare: GShare;
    signIndex: SignIndex;
};
export type SignConvertRT = {
    aShare?: AShare;
    bShare?: BShare;
    muShare?: MUShare;
    gShare?: GShare;
};
export type OShare = {
    i: number;
    y: string;
    k: string;
    omicron: string;
    delta: string;
    Gamma: string;
};
export type DShare = SignIndex & {
    delta: string;
    Gamma: string;
};
export type SShare = {
    i: number;
    R: string;
    s: string;
    y: string;
};
export type SignCombine = {
    gShare: GShare;
    signIndex: SignIndex;
};
export type SignCombineRT = {
    oShare: OShare;
    dShare: DShare;
};
export type Signature = {
    y: string;
    recid: number;
    r: string;
    s: string;
};
export interface PublicVAShare {
    V: bigint;
    A: bigint;
    comDecomVA: HashCommitDecommit;
}
export interface PublicVAShareWithProofs extends PublicVAShare, VAProofs {
}
export interface VAShare extends SShare, PublicVAShare {
    m: Buffer;
    l: bigint;
    rho: bigint;
}
export interface VAProofs {
    zkVProofV: EcdsaTypes.ZkVProof;
    schnorrProofA: SchnorrProof;
}
export interface VAShareWithProofs extends VAShare, VAProofs {
    proofContext: Buffer;
}
export interface PublicUTShare {
    U: bigint;
    T: bigint;
    comDecomUT: HashCommitDecommit;
}
export interface UTShare extends SShare, PublicUTShare {
}
//# sourceMappingURL=types.d.ts.map