/**
 * @prettier
 */
import { V1Network } from './types';
interface EnvironmentTemplate {
    uri?: string;
    network: V1Network;
    signingAddress: string;
    serverXpub: string;
    hsmXpub: string;
    btcExplorerBaseUrl: string;
    etherscanBaseUrl: string;
    etherscanApiToken?: string;
    avaxcNetworkBaseUrl: string;
    eth2ExplorerBaseUrl: string;
    ethwFullNodeRPCBaseUrl: string;
    polygonscanBaseUrl?: string;
    bscscanBaseUrl?: string;
    bscscanApiToken?: string;
    polygonscanApiToken?: string;
    arbiscanBaseUrl?: string;
    arbiscanApiToken?: string;
    oasExplorerApiToken?: string;
    oasExplorerBaseUrl?: string;
    optimisticEtherscanBaseUrl?: string;
    optimisticEtherscanApiToken?: string;
    zksyncExplorerBaseUrl?: string;
    zksyncExplorerApiToken?: string;
    beraExplorerBaseUrl?: string;
    beraExplorerApiToken?: string;
    baseethExplorerUrl?: string;
    baseethApiToken?: string;
    stellarFederationServerUrl?: string;
    eosNodeUrls: string[];
    nearNodeUrls: string[];
    solNodeUrl: string;
    adaNodeUrl: string;
    hashNodeUrl: string;
    injNodeUrl: string;
    atomNodeUrl: string;
    osmoNodeUrl: string;
    tiaNodeUrl: string;
    seiNodeUrl: string;
    bldNodeUrl: string;
    beraNodeUrl: string;
    zetaNodeUrl: string;
    coreumNodeUrl: string;
    runeNodeUrl: string;
    babyNodeUrl: string;
    mantraNodeUrl: string;
    cronosNodeUrl: string;
    fetchAiNodeUrl: string;
    initiaNodeUrl: string;
    islmNodeUrl: string;
    dotNodeUrls: string[];
    substrateNodeUrls: string[];
    tronNodes: {
        full: string;
        solidity: string;
    };
    hmacVerificationEnforced: boolean;
    tonNodeUrl: string;
    suiNodeUrl: string;
    etcNodeUrl: string;
    coredaoExplorerBaseUrl?: string;
    coredaoExplorerApiToken?: string;
    xdcExplorerBaseUrl?: string;
    xdcExplorerApiToken?: string;
    flrExplorerBaseUrl?: string;
    flrExplorerApiToken?: string;
    sgbExplorerBaseUrl?: string;
    sgbExplorerApiToken?: string;
    icpNodeUrl: string;
    wemixExplorerBaseUrl?: string;
    wemixExplorerApiToken?: string;
    monExplorerBaseUrl?: string;
    monExplorerApiToken?: string;
    worldExplorerBaseUrl?: string;
    worldExplorerApiToken?: string;
    somniaExplorerBaseUrl?: string;
    somniaExplorerApiToken?: string;
    soneiumExplorerBaseUrl?: string;
    soneiumExplorerApiToken?: string;
    stxNodeUrl: string;
    vetNodeUrl: string;
}
export interface Environment extends EnvironmentTemplate {
    uri: string;
    stellarFederationServerUrl: string;
}
export declare const hardcodedPublicKeys: Readonly<{
    serverXpub: {
        prod: string;
        test: string;
    };
    hsmXpub: {
        prod: string;
        test: string;
        dev: string;
    };
}>;
export type EnvironmentName = 'prod' | 'staging' | 'test' | 'dev' | 'local' | 'localNonSecure' | 'mock' | 'adminProd' | 'adminTest' | 'adminStaging' | 'adminDev' | 'custom' | 'branch';
export type AliasEnvironmentName = 'production' | 'msProd' | 'msTest' | 'msDev';
export type Environments = {
    [k in EnvironmentName]: Environment;
};
export declare const AliasEnvironments: {
    [k in AliasEnvironmentName]: EnvironmentName;
};
export declare const Environments: Environments;
export {};
//# sourceMappingURL=environments.d.ts.map