/**
 * @hidden
 */
import { Keychain } from '../keychain';
interface GetKeyDataOptions {
    encrypt: (params: {
        input: string;
        password: string;
    }) => string;
    userKeychain: Keychain;
    bitgoKeychain: Keychain;
    backupKeychain: Keychain;
    coinShortName: string;
    passphrase?: string;
    passcodeEncryptionCode?: string;
    walletKeyID?: string;
    backupKeyID?: string;
}
interface DrawKeycardOptions extends GetKeyDataOptions {
    jsPDF: any;
    QRCode: any;
    coinShortName: string;
    activationCode: string;
    walletLabel: string;
    coinName: string;
}
/**
 * Draw a keycard into a new pdf document object
 * @param options
 */
export declare function drawKeycard(options: DrawKeycardOptions): any;
export {};
//# sourceMappingURL=keycard.d.ts.map