import { IBaseCoin } from '../baseCoin';
import { BitGoBase } from '../bitgoBase';
import { GetPendingApprovalOptions, IPendingApprovals, ListPendingApprovalsOptions, ListPendingApprovalsResult, PendingApproval } from '../pendingApproval';
export declare class PendingApprovals implements IPendingApprovals {
    private readonly bitgo;
    private readonly baseCoin;
    constructor(bitgo: BitGoBase, baseCoin: IBaseCoin);
    /**
     * List the pending approvals available to the user
     * @param params
     */
    list(params?: ListPendingApprovalsOptions): Promise<ListPendingApprovalsResult>;
    /**
     * Fetch an existing pending approval
     * @param params
     */
    get(params?: GetPendingApprovalOptions): Promise<PendingApproval>;
}
//# sourceMappingURL=pendingApprovals.d.ts.map