import { IWallet } from '../wallet';
import { BaseGoStakeOptions, GoStakeOptions, GoStakingRequest, IGoStakingWallet } from './iGoStakingWallet';
export declare class GoStakingWallet implements IGoStakingWallet {
    private readonly bitgo;
    wallet: IWallet;
    constructor(wallet: IWallet);
    get accountId(): string;
    stake(options: GoStakeOptions): Promise<GoStakingRequest>;
    /**
     * Unstake request
     * @param options
     */
    unstake(options: BaseGoStakeOptions): Promise<GoStakingRequest>;
    /**
     * Preview staking request
     * @param options
     */
    private previewStake;
    /**
     * Finalize staking request
     * will prepare the payload and sign the transaction
     * and submit it to the go-staking-service
     * @param options
     */
    private finalizeStake;
    /**
     * Get go staking request
     * @param goStakingRequestId
     */
    getGoStakingRequest(goStakingRequestId: string): Promise<GoStakingRequest>;
    private createGoStakingRequest;
    private goStakingBaseURL;
    private goStakingRequestBaseURL;
    private getGoStakingRequestURL;
}
//# sourceMappingURL=goStakingWallet.d.ts.map