/**
 * str2ab - Convert a string to an ArrayBuffer
 * @param {string} str The string to convert
 * @returns {ArrayBuffer} The ArrayBuffer
 */
export declare function str2ab(str: string): ArrayBuffer;
/**
 * ab2str - Convert a buffer to a string
 * @param {ArrayBuffer} buf The buffer to convert
 * @returns {string} The string
 */
export declare function ab2str(buf: ArrayBuffer): string;
/**
 * computeKey - Compute a key from a password and salt
 * @param {string | Buffer} pass The password to use
 * @param {Buffer} salt The salt to use
 * @returns {Promise<Buffer>} The computed key
 */
export declare function computeKey(pass: string | Buffer, salt: Buffer): Promise<Buffer>;
//# sourceMappingURL=utils.d.ts.map