import { UShare, YShare } from './../../../account-lib/mpc/tss';
import { EDDSA } from './../../../account-lib/mpc/tss/eddsa';
export type EncryptedYShare = {
    i: number;
    j: number;
    publicShare: string;
    encryptedPrivateShare: string;
};
export type DecryptableYShare = {
    yShare: EncryptedYShare;
    recipientPrivateArmor: string;
    senderPublicArmor: string;
};
export type CombinedKey = {
    commonKeychain: string;
    signingMaterial: SigningMaterial;
};
export type SigningMaterial = {
    uShare: UShare;
    bitgoYShare: YShare;
    backupYShare?: YShare;
    userYShare?: YShare;
};
export interface UserSigningMaterial {
    uShare: EDDSA.UShare;
    bitgoYShare: EDDSA.YShare;
    backupYShare: EDDSA.YShare;
    userYShare?: EDDSA.YShare;
}
export interface BackupSigningMaterial {
    uShare: EDDSA.UShare;
    bitgoYShare: EDDSA.YShare;
    userYShare: EDDSA.YShare;
    backupYShare?: EDDSA.YShare;
}
//# sourceMappingURL=types.d.ts.map