import { BitgoToOVC1Round1Response, BitgoToOVC1Round2Response, BitgoToOVC1Round3Response, MPCv2KeyGenRound1Response, MPCv2KeyGenRound2Response, MPCv2KeyGenRound3Response, OVC1ToBitgoRound3Payload, OVC2ToBitgoRound1Payload, OVC2ToBitgoRound2Payload } from '@bitgo/public-types';
import { IBaseCoin } from '../../../../baseCoin';
import { BitGoBase } from '../../../../bitgoBase';
import { Keychain } from '../../../..';
import { EcdsaMPCv2KeyGenSendFn } from '../ecdsaMPCv2KeyGenSender';
export declare class MPCv2SMCUtils {
    private bitgo;
    private baseCoin;
    private MPCv2Utils;
    constructor(bitgo: BitGoBase, baseCoin: IBaseCoin);
    keyGenRound1(enterprise: string, payload: OVC2ToBitgoRound1Payload): Promise<BitgoToOVC1Round1Response>;
    keyGenRound2(enterprise: string, payload: OVC2ToBitgoRound2Payload): Promise<BitgoToOVC1Round2Response>;
    keyGenRound3(enterprise: string, payload: OVC1ToBitgoRound3Payload): Promise<BitgoToOVC1Round3Response>;
    keyGenRound1BySender(senderFn: EcdsaMPCv2KeyGenSendFn<MPCv2KeyGenRound1Response>, payload: OVC2ToBitgoRound1Payload): Promise<BitgoToOVC1Round1Response>;
    keyGenRound2BySender(senderFn: EcdsaMPCv2KeyGenSendFn<MPCv2KeyGenRound2Response>, payload: OVC2ToBitgoRound2Payload): Promise<BitgoToOVC1Round2Response>;
    keyGenRound3BySender(senderFn: EcdsaMPCv2KeyGenSendFn<MPCv2KeyGenRound3Response>, payload: OVC1ToBitgoRound3Payload): Promise<BitgoToOVC1Round3Response>;
    uploadClientKeys(bitgoKeyId: string, userCommonKeychain: string, backupCommonKeychain: string): Promise<{
        userKeychain: Keychain;
        backupKeychain: Keychain;
        bitgoKeychain: Keychain;
    }>;
}
//# sourceMappingURL=utils.d.ts.map