/**
 * @prettier
 */
import { AuditDecryptedKeyParams, BaseCoin, BitGoBase, KeyPair, ParsedTransaction, ParseTransactionOptions, SignedTransaction, SignTransactionOptions, VerifyAddressOptions, VerifyTransactionOptions } from '../';
export declare class FiatGBP extends BaseCoin {
    static createInstance(bitgo: BitGoBase): BaseCoin;
    /**
     * Returns the factor between the base unit and its smallest subdivison
     * @return {number}
     */
    getBaseFactor(): number;
    getChain(): string;
    getFamily(): string;
    getFullName(): string;
    /**
     * Return whether the given m of n wallet signers/ key amounts are valid for the coin
     */
    isValidMofNSetup({ m, n }: {
        m: number;
        n: number;
    }): boolean;
    isValidAddress(address: string): boolean;
    generateKeyPair(seed?: Buffer): KeyPair;
    isValidPub(pub: string): boolean;
    parseTransaction(params: ParseTransactionOptions): Promise<ParsedTransaction>;
    isWalletAddress(params: VerifyAddressOptions): Promise<boolean>;
    verifyTransaction(params: VerifyTransactionOptions): Promise<boolean>;
    signTransaction(params?: SignTransactionOptions): Promise<SignedTransaction>;
    /** @inheritDoc */
    auditDecryptedKey(params: AuditDecryptedKeyParams): void;
}
//# sourceMappingURL=fiatgbp.d.ts.map